JBossRollingLoggedPM (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossRollingLoggedPM interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossRollingLoggedPM

All Superinterfaces:
  JBossPersistenceManager, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface JBossRollingLoggedPM

extends JBossPersistenceManager

Represents a JBoss ROLLING LOGGED PM

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDataDirectory()`
`java.lang.String` | `getName()`
`int` | `getRollOverSize()`
`boolean` | `hasDataDirectory()`
`boolean` | `hasName()`
`boolean` | `hasRollOverSize()`
`void` | `setDataDirectory(java.lang.String directory)`
`void` | `setName(java.lang.String name)`
`void` | `setRollOverSize(int size)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.jboss.JBossPersistenceManager
`getInstance, hasInstance, setInstance`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getDataDirectory

    java.lang.String getDataDirectory()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDataDirectory

    void setDataDirectory(java.lang.String directory)

### hasDataDirectory

    boolean hasDataDirectory()

### getRollOverSize

    int getRollOverSize()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRollOverSize

    void setRollOverSize(int size)

### hasRollOverSize

    boolean hasRollOverSize()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD